Subject: Re: [TR] Overspray

From: Brian Kemp <[email-masked]>
Date: Thu, 13 Nov 2025 19:58:09 +0000

Missed the original post likely due to my ISP blocking it, so just going by the context below.

I have found that a clay bar and some quick detail spray worked wonders on spray paint over-spray on my TR6.  You can find it at any auto parts store or big retailer with an auto parts aisle.  The spray lubricates and the clay bar removes the surface contaminate.

Brian

-----Original Message-----
From: John Macartney <[email-masked]>
Sent: Nov 13, 2025 11:27 AM
To: dave northrup <[email-masked]>
Cc: Triumphs <[email-masked]>
Subject: Re: [TR] Overspray

Try some paint thinners on some clean rag. Rub gently on an edge and see how it goes. If it won&rsquo;t come off, you can always blame the factory. On Friday afternoons, lots of people on the assembly tracks and in the paint shops had often drunk too much beer in the Social Club during their lunch break. Back in those days, health and safety issues were unheard of and drinking alcohol during working hours breaks wasn&rsquo;t a problem. Wish I&rsquo;d had a movie clip of one man trying to get a compressed air wrench lined up on a Spitfire front wheel - and persevering for about 5 minutes until he finally managed to engage the four spanner heads on the wheel nuts so it enabled a one trigger pull to tighten them all simultaneously! Life at work was so much for fun in those days :(

Jonmac

> On 13 Nov 2025, at 17:10, dave northrup wrote:
>
> 58 TR3A
>
> The DPO got overspray on the TS plate
>
> It's not perfect but I'd like to reuse it.
>
> Any recommendations on what to use/what not to use , to get the paint off?

** [email-masked] **

Archive:  http://www.team.net/archive (http://www.team.net/pipermail/triumphs)

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive